/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */

package es.mpt.dsic.inside.store.hibernate.entity;

// Generated 28-ago-2012 18:17:29 by Hibernate Tools 3.4.0.CR1

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import javax.persistence.TableGenerator;
import javax.persistence.Transient;

import org.apache.commons.lang.ObjectUtils;

/**
 * InsideWsAplicacion generated by hbm2java
 */
@Entity
@Table(name = "InsideWsAplicacion")
public class InsideWsAplicacion implements java.io.Serializable {

	private Integer id;
	private String nombre;
	private String passwordHash;
	private Boolean activo;
	private Boolean altaExpediente;
	private Boolean modificarExpediente;
	private Boolean leerExpediente;
	private Boolean altaDocumento;
	private Boolean modificarDocumento;
	private Boolean leerDocumento;
	private Date fechaCreacion;
	private Boolean administrarPermisos;
	private String email;
	private String telefono;
	private String responsable;
	private Set<UnidadWsAplicacion> listaUnidades = new HashSet<UnidadWsAplicacion>(0);
	private String serialNumberCertificado;
	private CredencialesEeutil credencialEeeutil;

	public InsideWsAplicacion() {
	}

	public InsideWsAplicacion(Integer id) {
		this.id = id;
	}

	public InsideWsAplicacion(Integer id, String nombre, String passwordHash) {
		this.id = id;
		this.nombre = nombre;
		this.passwordHash = passwordHash;
	}

	@Id
	// @GeneratedValue(strategy = IDENTITY)
	@TableGenerator(name = "GeneradorPk_InsideWsAplicacion", table = "GeneradorClaves", pkColumnName = "GenName", valueColumnName = "GenValue", pkColumnValue = "GEN_InsideWsAplicacion", allocationSize = 1)
	@GeneratedValue(strategy = GenerationType.TABLE, generator = "GeneradorPk_InsideWsAplicacion")
	@Column(name = "id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Column(name = "nombre", unique = true, nullable = false)
	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	@Column(name = "passwordHash", nullable = false)
	public String getPasswordHash() {
		return this.passwordHash;
	}

	public void setPasswordHash(String passwordHash) {
		this.passwordHash = passwordHash;
	}

	@Column(name = "activo", nullable = false)
	public Boolean getActivo() {
		return activo;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	@Column(name = "altaExpediente", nullable = false)
	public Boolean getAltaExpediente() {
		return altaExpediente;
	}

	public void setAltaExpediente(Boolean altaExpediente) {
		this.altaExpediente = altaExpediente;
	}

	@Column(name = "modificarExpediente", nullable = false)
	public Boolean getModificarExpediente() {
		return modificarExpediente;
	}

	public void setModificarExpediente(Boolean modificarExpediente) {
		this.modificarExpediente = modificarExpediente;
	}

	@Column(name = "leerExpediente", nullable = false)
	public Boolean getLeerExpediente() {
		return leerExpediente;
	}

	public void setLeerExpediente(Boolean leerExpediente) {
		this.leerExpediente = leerExpediente;
	}

	@Column(name = "altaDocumento", nullable = false)
	public Boolean getAltaDocumento() {
		return altaDocumento;
	}

	public void setAltaDocumento(Boolean altaDocumento) {
		this.altaDocumento = altaDocumento;
	}

	@Column(name = "modificarDocumento", nullable = false)
	public Boolean getModificarDocumento() {
		return modificarDocumento;
	}

	public void setModificarDocumento(Boolean modificarDocumento) {
		this.modificarDocumento = modificarDocumento;
	}

	@Column(name = "leerDocumento", nullable = false)
	public Boolean getLeerDocumento() {
		return leerDocumento;
	}

	public void setLeerDocumento(Boolean leerDocumento) {
		this.leerDocumento = leerDocumento;
	}

	@Column(name = "fechaCreacion", nullable = false)
	public Date getFechaCreacion() {
		return fechaCreacion;
	}

	public void setFechaCreacion(Date fechaCreacion) {
		this.fechaCreacion = fechaCreacion;
	}

	@Column(name = "administrarPermisos", nullable = false)
	public Boolean getAdministrarPermisos() {
		return administrarPermisos;
	}

	public void setAdministrarPermisos(Boolean administrarPermisos) {
		this.administrarPermisos = administrarPermisos;
	}

	@Column(name = "email", nullable = true)
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@Column(name = "telefono", nullable = true)
	public String getTelefono() {
		return telefono;
	}

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	@Column(name = "responsable", nullable = true)
	public String getResponsable() {
		return responsable;
	}

	public void setResponsable(String responsable) {
		this.responsable = responsable;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "idAplicacion")
	public Set<UnidadWsAplicacion> getListaUnidades() {
		return listaUnidades;
	}

	public void setListaUnidades(Set<UnidadWsAplicacion> listaUnidades) {
		this.listaUnidades = listaUnidades;
	}

	@Transient
	public UnidadWsAplicacion getUnidadActiva() {
		UnidadWsAplicacion unidad = null;
		if (this.listaUnidades != null && !this.listaUnidades.isEmpty()) {
			for (UnidadWsAplicacion uni : this.listaUnidades) {
				if (uni.isActivo())
					unidad = uni;
			}
		}
		return unidad;
	}

	@Transient
	public UnidadWsAplicacion getUnidad(Integer ideUnidad, Integer ideProcedimiento, Integer ideAplicacion) {
		UnidadWsAplicacion unidad = null;
		if (this.listaUnidades != null && !this.listaUnidades.isEmpty()) {
			for (UnidadWsAplicacion uni : this.listaUnidades) {
				if (uni.getIdUnidad().equals(ideUnidad) && uni.getIdAplicacion().equals(ideAplicacion)
						&& ObjectUtils.equals(uni.getIdProcedimiento(), ideProcedimiento))
					unidad = uni;
			}
		}
		return unidad;
	}

	public boolean contieneUnidadActiva() {
		boolean unidadActiva = false;
		if (this.listaUnidades != null && !this.listaUnidades.isEmpty()) {
			for (UnidadWsAplicacion uni : this.listaUnidades) {
				if (uni.isActivo())
					unidadActiva = true;
			}
		}
		return unidadActiva;
	}

	@Column(name = "serialNumberCertificado", nullable = true)
	public String getSerialNumberCertificado() {
		return serialNumberCertificado;
	}

	public void setSerialNumberCertificado(String serialNumberCertificado) {
		this.serialNumberCertificado = serialNumberCertificado;
	}

	@OneToOne(fetch = FetchType.LAZY)
	@PrimaryKeyJoinColumn
	public CredencialesEeutil getCredencialEeeutil() {
		return credencialEeeutil;
	}

	public void setCredencialEeeutil(CredencialesEeutil credencialEeeutil) {
		this.credencialEeeutil = credencialEeeutil;
	}
}
