/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */

package es.mpt.dsic.inside.store.hibernate.entity;

// Generated 20-may-2014 13:45:55 by Hibernate Tools 3.4.0.CR1

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.TableGenerator;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

import es.mpt.dsic.inside.util.InsideUtils;

/**
 * UnidadOrganica generated by hbm2java
 */
@Entity
@Table(name = "UnidadOrganica", uniqueConstraints = @UniqueConstraint(columnNames = "Codigo_Unidad_Organica"))
public class UnidadOrganica extends Entidad {

	/**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = -7958589108957803556L;
	
	private Integer id;
	private Date timestamp;
	private String codigoUnidadOrganica;
	private String nombreUnidadOrganica;
	private byte nivelAdministracion;
	private String entidadDerechoPublico;
	private String codigoExterno;
	private String codigoUnidadSuperior;
	private String nombreUnidadSuperior;
	private String codigoUnidadRaiz;
	private String nombreUnidadRaiz;
	private String codigoRaizDerechoPublico;
	private String nombreRaizDerechoPublico;
	private byte nivelJerarquico;
	private String estado;
	private Date fechaAlta;
	private Date fechaBaja;
	private Date fechaAnulacion;
	private Date fechaExtincion;

	public UnidadOrganica() {
	}

	public UnidadOrganica(String codigoUnidadOrganica,
			String nombreUnidadOrganica, byte nivelAdministracion,
			String entidadDerechoPublico, String codigoUnidadSuperior,
			String nombreUnidadSuperior, String codigoUnidadRaiz,
			String nombreUnidadRaiz, byte nivelJerarquico, String estado) {
		this.codigoUnidadOrganica = codigoUnidadOrganica;
		this.nombreUnidadOrganica = nombreUnidadOrganica;
		this.nivelAdministracion = nivelAdministracion;
		this.entidadDerechoPublico = entidadDerechoPublico;
		this.codigoUnidadSuperior = codigoUnidadSuperior;
		this.nombreUnidadSuperior = nombreUnidadSuperior;
		this.codigoUnidadRaiz = codigoUnidadRaiz;
		this.nombreUnidadRaiz = nombreUnidadRaiz;
		this.nivelJerarquico = nivelJerarquico;
		this.estado = estado;
	}

	public UnidadOrganica(String codigoUnidadOrganica,
			String nombreUnidadOrganica, byte nivelAdministracion,
			String entidadDerechoPublico, String codigoExterno,
			String codigoUnidadSuperior, String nombreUnidadSuperior,
			String codigoUnidadRaiz, String nombreUnidadRaiz,
			String codigoRaizDerechoPublico, String nombreRaizDerechoPublico,
			byte nivelJerarquico, String estado, Date fechaAlta,
			Date fechaBaja, Date fechaAnulacion, Date fechaExtincion) {
		this.codigoUnidadOrganica = codigoUnidadOrganica;
		this.nombreUnidadOrganica = nombreUnidadOrganica;
		this.nivelAdministracion = nivelAdministracion;
		this.entidadDerechoPublico = entidadDerechoPublico;
		this.codigoExterno = codigoExterno;
		this.codigoUnidadSuperior = codigoUnidadSuperior;
		this.nombreUnidadSuperior = nombreUnidadSuperior;
		this.codigoUnidadRaiz = codigoUnidadRaiz;
		this.nombreUnidadRaiz = nombreUnidadRaiz;
		this.codigoRaizDerechoPublico = codigoRaizDerechoPublico;
		this.nombreRaizDerechoPublico = nombreRaizDerechoPublico;
		this.nivelJerarquico = nivelJerarquico;
		this.estado = estado;
		this.fechaAlta = fechaAlta;
		this.fechaBaja = fechaBaja;
		this.fechaAnulacion = fechaAnulacion;
		this.fechaExtincion = fechaExtincion;
	}
	
	@Id
	@TableGenerator(name = "GeneradorPk_UnidadOrganica",
            		table = "GeneradorClaves",
            		pkColumnName = "GenName",
            		valueColumnName = "GenValue",
            		pkColumnValue = "GEN_UnidadOrganica",
            		allocationSize=1)
    @GeneratedValue(strategy = GenerationType.TABLE, generator = "GeneradorPk_UnidadOrganica")
    @Column(name = "id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "created_at", nullable = false, length = 19)
	public Date getTimestamp() {
		return this.timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	@Column(name = "Codigo_Unidad_Organica", unique = true, nullable = false, length = 10)
	public String getCodigoUnidadOrganica() {
		return this.codigoUnidadOrganica;
	}

	public void setCodigoUnidadOrganica(String codigoUnidadOrganica) {
		this.codigoUnidadOrganica = codigoUnidadOrganica;
	}

	@Column(name = "Nombre_Unidad_Organica", nullable = false)
	public String getNombreUnidadOrganica() {
		return this.nombreUnidadOrganica;
	}

	public void setNombreUnidadOrganica(String nombreUnidadOrganica) {
		this.nombreUnidadOrganica = nombreUnidadOrganica;
	}

	@Column(name = "Nivel_Administracion", nullable = false)
	public byte getNivelAdministracion() {
		return this.nivelAdministracion;
	}

	public void setNivelAdministracion(byte nivelAdministracion) {
		this.nivelAdministracion = nivelAdministracion;
	}

	@Column(name = "Entidad_Derecho_Publico", nullable = false, length = 1)
	public String getEntidadDerechoPublico() {
		return this.entidadDerechoPublico;
	}

	public void setEntidadDerechoPublico(String entidadDerechoPublico) {
		this.entidadDerechoPublico = entidadDerechoPublico;
	}

	@Column(name = "Codigo_Externo", length = 10)
	public String getCodigoExterno() {
		return this.codigoExterno;
	}

	public void setCodigoExterno(String codigoExterno) {
		this.codigoExterno = codigoExterno;
	}

	@Column(name = "Codigo_Unidad_Superior", nullable = false, length = 10)
	public String getCodigoUnidadSuperior() {
		return this.codigoUnidadSuperior;
	}

	public void setCodigoUnidadSuperior(String codigoUnidadSuperior) {
		this.codigoUnidadSuperior = codigoUnidadSuperior;
	}

	@Column(name = "Nombre_Unidad_Superior", nullable = false)
	public String getNombreUnidadSuperior() {
		return this.nombreUnidadSuperior;
	}

	public void setNombreUnidadSuperior(String nombreUnidadSuperior) {
		this.nombreUnidadSuperior = nombreUnidadSuperior;
	}

	@Column(name = "Codigo_Unidad_Raiz", nullable = false, length = 10)
	public String getCodigoUnidadRaiz() {
		return this.codigoUnidadRaiz;
	}

	public void setCodigoUnidadRaiz(String codigoUnidadRaiz) {
		this.codigoUnidadRaiz = codigoUnidadRaiz;
	}

	@Column(name = "Nombre_Unidad_Raiz", nullable = false)
	public String getNombreUnidadRaiz() {
		return this.nombreUnidadRaiz;
	}

	public void setNombreUnidadRaiz(String nombreUnidadRaiz) {
		this.nombreUnidadRaiz = nombreUnidadRaiz;
	}

	@Column(name = "Codigo_Raiz_Derecho_Publico", length = 10)
	public String getCodigoRaizDerechoPublico() {
		return this.codigoRaizDerechoPublico;
	}

	public void setCodigoRaizDerechoPublico(String codigoRaizDerechoPublico) {
		this.codigoRaizDerechoPublico = codigoRaizDerechoPublico;
	}

	@Column(name = "Nombre_Raiz_Derecho_Publico")
	public String getNombreRaizDerechoPublico() {
		return this.nombreRaizDerechoPublico;
	}

	public void setNombreRaizDerechoPublico(String nombreRaizDerechoPublico) {
		this.nombreRaizDerechoPublico = nombreRaizDerechoPublico;
	}

	@Column(name = "Nivel_Jerarquico", nullable = false)
	public byte getNivelJerarquico() {
		return this.nivelJerarquico;
	}

	public void setNivelJerarquico(byte nivelJerarquico) {
		this.nivelJerarquico = nivelJerarquico;
	}

	@Column(name = "Estado", nullable = false, length = 1)
	public String getEstado() {
		return this.estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "Fecha_Alta", length = 19)
	public Date getFechaAlta() {
		return this.fechaAlta;
	}

	public void setFechaAlta(Date fechaAlta) {
		this.fechaAlta = fechaAlta;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "Fecha_Baja", length = 19)
	public Date getFechaBaja() {
		return this.fechaBaja;
	}

	public void setFechaBaja(Date fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "Fecha_Anulacion", length = 19)
	public Date getFechaAnulacion() {
		return this.fechaAnulacion;
	}

	public void setFechaAnulacion(Date fechaAnulacion) {
		this.fechaAnulacion = fechaAnulacion;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "Fecha_Extincion", length = 19)
	public Date getFechaExtincion() {
		return this.fechaExtincion;
	}

	public void setFechaExtincion(Date fechaExtincion) {
		this.fechaExtincion = fechaExtincion;
	}
	
	@Override
	public String toString () {
		StringBuffer tmpBuff = new StringBuffer("Entity UnidadOrganica=[");
		String coma = ", ";
		tmpBuff.append("id=");
		tmpBuff.append(id);
		tmpBuff.append(coma);
		tmpBuff.append("codigoUnidadOrganica=");
		tmpBuff.append(codigoUnidadOrganica);
		tmpBuff.append(coma);
		tmpBuff.append("nombreUnidadOrganica=");
		tmpBuff.append(nombreUnidadOrganica);
		tmpBuff.append(coma);
		tmpBuff.append("nivelAdministracion=");
		tmpBuff.append(nivelAdministracion);
		tmpBuff.append(coma);
		tmpBuff.append("indicadorEntidadDerechoPublico=");
		tmpBuff.append(entidadDerechoPublico);
		tmpBuff.append(coma);
		tmpBuff.append("codigoUnidadSuperiorJerarquica=");
		tmpBuff.append(codigoUnidadSuperior);
		tmpBuff.append(coma);
		tmpBuff.append("denominacionUnidadSuperiorJerarquica=");
		tmpBuff.append(nombreUnidadSuperior);
		tmpBuff.append(coma);
		tmpBuff.append("codigoUnidadOrganicaRaiz=");
		tmpBuff.append(codigoUnidadRaiz);
		tmpBuff.append(coma);
		tmpBuff.append("denominacionUnidadOrganicaRaiz=");
		tmpBuff.append(nombreUnidadRaiz);
		tmpBuff.append(coma);
		tmpBuff.append("nivelJerarquico=");
		tmpBuff.append(nivelJerarquico);
		tmpBuff.append(coma);
		tmpBuff.append("estado=");
		tmpBuff.append(estado);
		tmpBuff.append(coma);
		tmpBuff.append("fechaAlta=");
		tmpBuff.append(InsideUtils.dateToStringISO8601(fechaAlta));
		tmpBuff.append(coma);
		tmpBuff.append("fechaBaja=");
		tmpBuff.append(InsideUtils.dateToStringISO8601(fechaBaja));
		tmpBuff.append(coma);
		tmpBuff.append("fechaAnulacion=");
		tmpBuff.append(InsideUtils.dateToStringISO8601(fechaAnulacion));
		tmpBuff.append(coma);
		tmpBuff.append("fechaExtincion=");
		tmpBuff.append(InsideUtils.dateToStringISO8601(fechaExtincion));
		tmpBuff.append("]");
		return tmpBuff.toString();
	}

}
